# $Revision: 1.13 $, $Date: 2004/05/07 01:09:18 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	OTP
Summary:	Crypt::OTP Perl module - OTP encryption method implementation
Summary(pl):	Modu Perla Crypt::OTP - implementacja kodowania metod OTP
Name:		perl-Crypt-OTP
Version:	2.00
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	af841dbb3641f73ee4048b15e6b56197
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The One Time Pad encryption method is very simple, and impossible to
crack without the actual pad file against which the to-be-encrypted
message is XOR'ed. Encryption and decryption are performed using
exactly the same method, and the message will decrypt correctly only
if the same pad is used in decryption as was use in encryption.

%description -l pl
Metoda kodowania OTP (One Time Pad - jednorazowa tablica) jest bardzo
prosta i niemoliwa do zamania bez znajomoci waciwego pliku
tablicy, z ktr wiadomo jest xorowana. Kodowanie i dekodowanie
odbywa si dokadnie t sam metod, a wiadomo moe by odkowowana
poprawnie tylko przy uyciu tej samej tablicy, ktra bya uywana do
kodowania.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Crypt/OTP.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-OTP.spec,v $
Revision 1.13  2004/05/07 01:09:18  ankry
- rel. 3

Revision 1.12  2004/05/06 18:09:25  ankry
- fixed perl-devel BR

Revision 1.11  2004/04/20 09:46:29  ankry
- bcond fixes/porting

Revision 1.10  2004/04/19 19:37:07  ankry
- license fixes and unification

Revision 1.9  2003/08/18 08:08:36  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 18:46:30  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:37:43  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:29:03  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/08 11:03:49  radek
- version 2.00
- tests made conditional

Revision 1.1  2002/07/30 22:07:54  qboosh
- new

